System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ExternalException To be added

The exception that is thrown when an attempt to check out a file that is checked into a source code management program is canceled or fails.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with no associated message or error code.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified message.

  A message describing the exception.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified serialization data and context.

  The to be used for deserialization.
  The destination to be used for deserialization.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified detailed description and the specified exception.

  A detailed description of the error.
  A reference to the inner exception that is the cause of this exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified message and error code.

  A message describing the exception.
  The error code to pass.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.CheckoutException

  This exception occurs if the user selects Cancel on the checkout dialog box.

  Initializes a new instance of the class that specifies that the check out was canceled. This field is read-only.